> ## Documentation Index
> Fetch the complete documentation index at: https://safepay.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Access Key

> Update your access key



## OpenAPI

````yaml put /v1/aggregators/{raast-aggregator-id}/keys/{access-key-id}
openapi: 3.1.0
info:
  title: Raast Wire
  version: 1.0.0
  description: ''
servers:
  - url: https://api.getsafepay.com/raastwire
security: []
tags:
  - name: Aggregators
  - name: Access Keys
  - name: Merchants
  - name: Raast Merchants
  - name: Payments
  - name: Refunds
  - name: QRs
  - name: Utilities
  - name: Aliases
  - name: Ledgers
  - name: Webhooks
paths:
  /v1/aggregators/{raast-aggregator-id}/keys/{access-key-id}:
    put:
      tags:
        - Access Keys
      summary: Update Access Key
      description: Update your access key
      parameters:
        - $ref: '#/components/parameters/AggregatorIdParam'
        - $ref: '#/components/parameters/AccessKeyIdParam'
      requestBody:
        $ref: '#/components/requestBodies/UpdateAccessKey'
      responses:
        '200':
          $ref: '#/components/responses/EmptySuccess'
      security:
        - apiKey: []
components:
  parameters:
    AggregatorIdParam:
      name: raast-aggregator-id
      in: path
      required: true
      schema:
        type: string
        example: agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e
      description: The unique identifier for the aggregator
    AccessKeyIdParam:
      name: access-key-id
      in: path
      required: true
      schema:
        type: string
        example: ak_da8f1c10-346a-4be8-895a-b6187a9a9662
      description: The unique identifier for the access key
  requestBodies:
    UpdateAccessKey:
      description: Request to update an existing access key
      content:
        application/json:
          schema:
            type: object
            description: Fields that can be modified on an existing access key
            properties:
              is_active:
                type: boolean
                description: Toggle indicating whether the key should be active
                example: false
              name:
                type: string
                description: Updated label for the access key
                example: Updated Access Key
          examples:
            Disable AccessKey:
              value:
                is_active: false
            Change AccessKey Name:
              value:
                name: Updated Access Key
  responses:
    EmptySuccess:
      description: Successful operation
      headers:
        Content-Length:
          $ref: '#/components/headers/ContentLengthHeader'
        Date:
          $ref: '#/components/headers/DateHeader'
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/StandardResponse'
              - type: object
                properties:
                  data:
                    type: object
                    description: >-
                      Empty payload structure returned for successful operations
                      without additional data
                    example: {}
  headers:
    ContentLengthHeader:
      schema:
        type: string
        example: '256'
    DateHeader:
      schema:
        type: string
        example: Sat, 12 Aug 2023 08:55:04 GMT
  schemas:
    StandardResponse:
      type: object
      description: Standard response structure for successful operations
      properties:
        api_version:
          type: string
          example: v1
          description: The current version of the API spec
        data:
          type: object
          description: Contains the response data
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-SFPY-AGGREGATOR-SECRET-KEY
      in: header

````